#### D.6.15.16 puiseux2generators

Procedure from library `hnoether.lib` (see hnoether_lib).

Usage:
  puiseux2generators(m,n); m,n intvec

Assume:
  m, resp. n, represent the 1st, resp. 2nd, components of Puiseux pairs (e.g., `m=invariants(L)[3]`, `n=invariants(L)[4]`).

Return:
  intvec of the generators of the semigroup of values.

Example:

    LIB "hnoether.lib";
    // take (3,2),(7,2),(15,2),(31,2),(63,2),(127,2) as Puiseux pairs:
    puiseux2generators(intvec(3,7,15,31,63,127),intvec(2,2,2,2,2,2));
    ==> 64,96,208,424,852,1706,3413

See also: invariants.

User manual for Singular version 4.4.1, 2025, generated by texi2html.